import type { BackgroundLayerSpecification as BackgroundLayer, CircleLayerSpecification as CircleLayer, FillLayerSpecification as FillLayer, FillExtrusionLayerSpecification as FillExtrusionLayer, HeatmapLayerSpecification as HeatmapLayer, HillshadeLayerSpecification as HillshadeLayer, LineLayerSpecification as LineLayer, RasterLayerSpecification as RasterLayer, SymbolLayerSpecification as SymbolLayer, GeoJSONSourceSpecification as GeoJSONSource, VideoSourceSpecification as VideoSource, ImageSourceSpecification as ImageSource, VectorSourceSpecification as VectorSource, RasterSourceSpecification as RasterSource, RasterDEMSourceSpecification as RasterDemSource } from '@maplibre/maplibre-gl-style-spec';
export type { BackgroundLayer, CircleLayer, FillLayer, FillExtrusionLayer, HeatmapLayer, HillshadeLayer, LineLayer, RasterLayer, SymbolLayer };
export declare type AnyLayer = BackgroundLayer | CircleLayer | FillLayer | FillExtrusionLayer | HeatmapLayer | HillshadeLayer | LineLayer | RasterLayer | SymbolLayer;
export { GeoJSONSource, VideoSource, ImageSource, VectorSource, RasterSource, RasterDemSource };
export interface CanvasSource {
    type: 'canvas';
    coordinates: number[][];
    animate?: boolean;
    canvas: string | HTMLCanvasElement;
}
export declare type AnySource = GeoJSONSource | VideoSource | ImageSource | VectorSource | RasterSource | RasterDemSource | CanvasSource;
export type { StyleSpecification as MapboxStyle, LightSpecification as Light, TerrainSpecification as Terrain } from '@maplibre/maplibre-gl-style-spec';
export declare type Fog = never;
export declare type Projection = never;
